import React, { forwardRef, useRef, useImperativeHandle } from 'react';
import LocaleUtil from "./../../../utils/LocaleUtil";
var TopContainer = /*#__PURE__*/forwardRef(function (props, ref) {
  var rootRef = useRef(null);
  useImperativeHandle(ref, function () {
    return rootRef.current;
  });
  return /*#__PURE__*/React.createElement("div", {
    ref: rootRef,
    className: "layout-main-pull-push"
  }, /*#__PURE__*/React.createElement("div", {
    className: "layout-main-pull-push-wrapper"
  }, /*#__PURE__*/React.createElement("div", {
    className: "layout-main-pull-push-icon"
  }), /*#__PURE__*/React.createElement("div", {
    className: "layout-main-pull-push-text"
  }, LocaleUtil.locale('下拉可以刷新', 'SeedsUI_pull_down_refresh'))));
});
export default TopContainer;